# Module `onionr.communicatorutils.restarttor`

Source code

    import netcontroller
    def restart(comm_inst):
        net = comm_inst.shared_state.get(netcontroller.NetController)
        net.killTor()
        net.startTor()

## Functions

`def restart(comm_inst)`
  Source code

      def restart(comm_inst):
          net = comm_inst.shared_state.get(netcontroller.NetController)
          net.killTor()
          net.startTor()